Package org.eclipse.net4j.util.security

# Interface AdministrationPredicate

All Known Subinterfaces:
  `IAuthenticator2`, `IUserManagement`, `IUserManagement.Attributed`

public interface AdministrationPredicate

Since:
  3.23

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAdministrator(String userID)`
Queries whether a given user has administrative privileges.

## Method Details

### isAdministrator

boolean isAdministrator(String userID)
Queries whether a given user has administrative privileges.

Parameters:
  `userID` - an user ID, which may or may not exist
Returns:
  whether the userID exists and has administrative privileges